Subject: Re: [PATCH] virtio-net: Update the mtu code to match virtio spec

From: Aaron Conole <[email-masked]>
Date: Tue, 25 Oct 2016 16:06:41 -0400

> From: Aaron Conole <[email-masked]>
>
> The virtio committee recently ratified a change, VIRTIO-152, which
> defines the mtu field to be 'max' MTU, not simply desired MTU.
>
> This commit brings the virtio-net device in compliance with VIRTIO-152.
>
> Additionally, drop the max_mtu branch - it cannot be taken since the u16
> returned by virtio_cread16 will never exceed the initial value of
> max_mtu.
>
> Cc: "Michael S. Tsirkin" <[email-masked]>
> Cc: Jarod Wilson <[email-masked]>
> Signed-off-by: Aaron Conole <[email-masked]>
> ---

Sorry about the subject line, David.  This is targetted at net-next, and
it appears my from was mangled.  Would you like me to resubmit with
these details corrected?

-Aaron